#ifndef MODULE_SITE_H
#define MODULE_SITE_H

#include"module_singleton_base.h"

class module_site : public singleton_base<module_site>
{
private:
    friend class singleton_base<module_site>;
    module_site()
    {
    }

public:
    /**
     * @brief 进入分站覆盖区域处理，考勤
     * @param card_id
     * @param enter_site
     */
    static void enter_site(uint32_t card_id,int enter_site,int32_t type);

    /**
     * @brief 离开现有分站处理，记录现有分站的进出时间和地点
     * @param card_id
     * @param enter_site
     */
    static void leave_site(uint32_t card_id,int enter_site, int32_t type);
};

#endif // MODULE_SITE_H
